View Issue Details

IDProjectCategoryView StatusLast Update
0002114PartDesignBugpublic2017-03-08 19:08
Reporterbthistlethwaite Assigned Tokkremitzki  
PriorityhighSeveritymajorReproducibilityalways
Status closedResolutionno change required 
PlatformDell Inspiron 17ROSWindows OS Version8 Pro
Product Version0.15 
Target VersionFixed in Version 
Summary0002114: When creating a partial elliptical toroid using the sweep function some segment angles produce consistently incorrect results
DescriptionI need to create a specific segment of a toroid that uses a complete elliptical profile and a partial elliptical sweep.

If the sweep ellipse uses Angle0 and Angle1 values that are more than 180 degrees apart, then the resulting solid is correct.

If the sweep ellipse uses Angle0 and Angle1 values that are less than 180 degrees apart but span the 180 degree line, then the resulting solid is correct.

If however, the sweep ellipse uses Angle0 and Angle1 values that are less than 180 degrees apart but do not span the 180 degree line, then the resulting solid is incorrect and sometimes wildly incorrect.

Steps To ReproduceUsing the Part Workbench, Part and Create Primitives, create an ellipse with a nominally sized full ellipse (with Angle 1 = 0, Angle 2 = 360).

Using the Part Workbench, Part and Create Primitives, create another ellipse with a larger full-sized ellipse (with Angle 1 = 0, Angle 2 = 360).

Change the smaller ellipse so that it is located with its central meridian at one end of the major axis and with its plane orthogonal to the plane of the larger ellipse and the plane of the smaller ellipse in the same plane as the major axis of the larger ellipse.

Now the elliptical toroid should resemble an elliptical wrist bangle and be complete.

Now experiment by adjusting both Angle0 and Angle1 of the larger ellipse so that the resulting segment becomes smaller, and so that the displayed segment appears in different positions around the larger ellipse.

Inconsistencies in the resulting shape should become obvious at this point.
Additional InformationI will upload a file that illustrates one of the scenarios that I described, where the segment should be between 45 and 135 degrees.
Tagssweep
FreeCAD Information

Activities

bthistlethwaite

2015-05-23 05:54

reporter  

Part-Elliptical-Toroid-Broken-For-Particular-Angles-B.FCStd (18,805 bytes)

Kunda1

2017-02-17 13:50

administrator   ~0008335

Please retest on latest stable or development versions.

normandc

2017-02-25 18:24

manager   ~0008433

I feel the issue stems from an incomplete understanding of the sweep tool. The sweep profile should always be located at either ends or along the sweep path. Moreover, it should be normal to the path. In the attached file by the reporter, the sweep profile is a good distance from the partial ellipse path, and is not normal to the path. Hence, the resulting sweep is not located along the path, and the profile is not constant.

If the profile is properly placed, then the sweep works exactly as expected.

Therefore I consider this bug invalid.

Part-Elliptical-Toroid-with-proper-placement_normandc1.FCStd (12,694 bytes)

Issue History

Date Modified Username Field Change
2015-05-23 05:54 bthistlethwaite New Issue
2015-05-23 05:54 bthistlethwaite File Added: Part-Elliptical-Toroid-Broken-For-Particular-Angles-B.FCStd
2017-02-17 13:50 Kunda1 Status new => feedback
2017-02-17 13:50 Kunda1 Note Added: 0008335
2017-02-17 13:50 Kunda1 Tag Attached: sweep
2017-02-25 18:24 normandc File Added: Part-Elliptical-Toroid-with-proper-placement_normandc1.FCStd
2017-02-25 18:24 normandc Note Added: 0008433
2017-02-25 21:40 Kunda1 Status feedback => resolved
2017-02-25 21:40 Kunda1 Resolution open => no change required
2017-03-08 19:08 kkremitzki Assigned To => kkremitzki
2017-03-08 19:08 kkremitzki Status resolved => closed